@echo off
rem 这是一个用BT3做的中文安装程序,包括SAMPLE.BAT,SAM1.COM,SAM2.COM,BTE.COM四个文件
rem 直接运行本文件将模拟安装程序但什么也不拷贝.
rem 实际应用时把本文件中大写REM去掉,小写rem所在行删除,把~DIR改为你所需的目录名
rem 然后把这四个文件都拷入软盘,把SAMPLE.BAT改为INSTALL.BAT
rem 再把要安装的文件按顺序拷入各盘就可以了
rem 你也可在实际应用时用ARJ等压缩软件
rem 并把批处理中加入IF EXIST %DISK%*.A01 GOTO ERR 之类的判断是否差错了盘
rem ---------------------正文-------------------------
REM IF %1!=="HARD"! GOTO BEGIN 
REM if exist a:*.* set disk=A:
REM if exist b:*.* set disk=B:
REM if %disk%!==! goto error
REM C:
REM MD ~DIR
REM CD ~DIR
REM COPY A:SAMPLE.BAT>NUL
REM COPY A:SAM?.COM  >NUL
REM COPY A:BTE.COM   >NUL
REM SAMPLE HARD
:BEGIN
BTE M
REM BTE B 61
BTE P 7 59
BTE S 32 
BTE L 10 0
ECHO                 懒旅呐魄
ECHO                 壬仕掏蜗
BTE L 12 0
ECHO 醒矣哉肿#1刭谯,茌捱噌忏溴骁栝觌...
:LOOP1
SAM1
BTE I
IF ERRORLEVEL=1 GOTO NEXT1
BTE V 12000 5
SAM2
BTE I
IF ERRORLEVEL=1 GOTO NEXT1
BTE V 16000 5
GOTO LOOP1
:NEXT1
BTE L 12 0
ECHO 醒祉铒...                         
REM XCOPY A:*.* 
CLS
BTE L 10 0
ECHO                 懒旅呐魄
ECHO                 壬仕掏蜗
BTE L 12 0
ECHO 醒矣哉肿#2刭谯,茌捱噌忏溴骁栝觌...
:LOOP2
SAM1
BTE I
IF ERRORLEVEL=1 GOTO NEXT2
BTE V 12000 5
SAM2
BTE I
IF ERRORLEVEL=1 GOTO NEXT2
BTE V 16000 5
GOTO LOOP2
:NEXT2
BTE L 12 0
ECHO 醒祉铒...                         
REM XCOPY A:*.* 
CLS
BTE L 10 0
ECHO                 懒旅呐魄
ECHO                 壬仕掏蜗
BTE L 12 0
ECHO 醒矣哉肿#3刭谯,茌捱噌忏溴骁栝觌...
:LOOP3
SAM1
BTE I
IF ERRORLEVEL=1 GOTO NEXT3
BTE V 12000 5
SAM2
BTE I
IF ERRORLEVEL=1 GOTO NEXT3
BTE V 16000 5
GOTO LOOP3
:NEXT3
BTE L 12 0
ECHO 醒祉铒...                         
REM XCOPY A:*.* 

BTE M
ECHO Install complete.
